Subject: [Enum] NAPTR record types for resolving transport

From: Vadivel Subramaniam <[email-masked]>
Date: Tue, 21 Aug 2007 14:41:13 +0100 (BST)

Hi,
   
  I am writing a client to resolve the transport from a SIP uri.  The types of NAPTR records which can be returned are with flags "S" or "A" or "U".
   
  I can chose the transport by matching the domain name in the original SIP uri with the replacement field values of "S" or "A" type records. 
   
  The records of type 'U' will not have a replacement field value. They will only have regexp.
   
  Is it valid to have "U" records while resolving transport for SIP uri's? 
   
  Please post your replies.
   
  thanks,
  Vadivel.

---------------------------------
 Yahoo! Answers - Get better answers from someone who knows. Tryit now.

_______________________________________________
enum mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/enum

---

From: Otmar Lendl <[email-masked]>
Date: Tue, 21 Aug 2007 16:23:14 +0200

On 2007/08/21 15:08, Vadivel Subramaniam <[email-masked]> wrote:
> Hi,
>    
>   I am writing a client to resolve the transport from a SIP uri. The
> types of NAPTR records which can be returned are with flags "S" or "A"
> or "U".

Are you sure you're not mixing up NAPTRs as used in RFC 3263 with
the NAPTRs used for ENUM?

These are two completely separate use-cases of the NAPTR record.

/ol
-- 
/ Otmar Lendl <[email-masked]>, T: +43 1 5056416 - 33, F: - 933 \
| nic.at Internet Verwaltungs- und Betriebsgesellschaft m.b.H |
\ http://www.nic.at/  LG Salzburg, FN 172568b, Sitz: Salzburg /

---

From: Vadivel Subramaniam <[email-masked]>
Date: Tue, 21 Aug 2007 16:48:37 +0100 (BST)

Hi Otmar,
   
  Resolving ENUM to SIP uri is a different application which we already have. That considers "U" records and returns the URI.
   
  This new application which I am developing now, will have to resolve only the transport based on the SIP uri. 
   
  My questions are
  1) Can 'U' records be returned as part of NAPTR lookup while resolving the transport?
   
  2) Whether "S" or "A" records are the only records expected from DNS while resolving transport using NAPTR lookup?
   
  thanks,
  Vadivel

Otmar Lendl <[email-masked]> wrote:

/ol
-- 
/ Otmar Lendl , T: +43 1 5056416 - 33, F: - 933 \
| nic.at Internet Verwaltungs- und Betriebsgesellschaft m.b.H |
\ http://www.nic.at/ LG Salzburg, FN 172568b, Sitz: Salzburg /

---

From: Peter Koch <[email-masked]>
Date: Tue, 21 Aug 2007 18:00:39 +0200

>   1) Can 'U' records be returned as part of NAPTR lookup while resolving the transport?

the problem is that RFC 3263 refers to the NAPTR specification as of RFC 2915,
which, by default", defines flags "A", "S", and "U", leaving others to the
specific application.
RFC 3403 redefined NAPTR in the context of DDDS without giving any default
flags.  It also says that REGEXP and REPLACEMENT are mutually exclusive.

This question might be better asked in one of the SIP related fora or WGs,
so actual deployed uses can be taken into account.

>From a DNS perspective, methinks RFC 3263 needs a refresh.

-Peter